typedef struct
{
	int cobjs;
	struct{
		char name[17];
		unsigned short cvtxs;
		GLfloat (*vtxs)[3];
		GLfloat (*vuvs)[2];
		GLfloat (*vnor)[3];	// auto-calculated
		unsigned short ctris;
		GLushort (*tris)[3];
		GLfloat (*tnor)[3];	// auto-calculated
		int *tmat;
	} *objs;
	int cmats;
	struct{
		char name[17];
		char amb[3];
		char dif[3];
		char spe[3];
	} *mats;

	char *file;	// for debug
} OBJECT;

OBJECT *load3ds(const char *filename);
OBJECT *load3dsfrommem(const char *buf, int size);
